stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
stdex::crc32_hash Class Reference

Hashes as CRC32. More...

`#include <stdex/hash.hpp>`

Inheritance diagram for stdex::crc32_hash:

## Public Member Functions
| crc32_hash (crc32_t crc=0)
virtual void | clear ()
| Initializes hash value and internal state.
virtual void | hash (_In_reads_bytes_opt_(length) const void *data, size_t length)
| Hashes block of data.
virtual void | finalize ()
| Finalizes hash value.
Public Member Functions inherited from stdex::basic_hash< crc32_t >
const crc32_t & | data ()
| Returns hash value.
| operator const crc32_t & () const
| Returns hash value.

## Additional Inherited Members
Static Public Member Functions inherited from stdex::basic_hash< crc32_t >
static size_t | size ()
| Returns size of the hash value in bytes.
Protected Attributes inherited from stdex::basic_hash< crc32_t >
crc32_t | m_value

## Detailed Description

Hashes as CRC32.

## Member Function Documentation

## ◆ clear()

virtual void stdex::crc32_hash::clear | ( |  | ) |
| inline virtual

Initializes hash value and internal state.

Implements stdex::basic_hash< crc32_t >.

## ◆ finalize()

virtual void stdex::crc32_hash::finalize | ( |  | ) |
| inline virtual

Finalizes hash value.

Implements stdex::basic_hash< crc32_t >.

## ◆ hash()

virtual void stdex::crc32_hash::hash | ( | _In_reads_bytes_opt_(length) const void * | data,
|  | size_t | length )
| inline virtual

Hashes block of data.

Parameters

  [in] | data | Pointer to data
  [in] | length | Amount of data in bytes

Implements stdex::basic_hash< crc32_t >.

The documentation for this class was generated from the following file:

- include/stdex/hash.hpp